<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:58:01Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified w/ DataPRO version 4.0.936, 4.1.286, 3.3.797
 
Importing the following data you can see that post patch the data the data overlaps.
 
Data here: D:\Software\Private\Software Testing\Zendesk_TEMP
 
 
Prepatch does not.</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-05-12T15:40:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-10T18:00:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-05-09T20:32:33Z</TimeStamp>
    <ReleaseNote>Addresses an issue with copy and trim and channel order</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-01T15:34:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-05-01T14:54:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>3.3/4.0/4.1@48656</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-04-27T23:07:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>note, also needs to be tested with deriveROIFrom All, as that's used in the GM workflow and needs to still work.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-27T14:30:01Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-04-26T22:14:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>Subject:
 Please review 30600,Channels mixed up after copy and trim    
From:
 Dan McFadden &lt;dan.mcfadden@dtsweb.com&gt;    
Date:
 4/26/2023, 2:59 PM        
To:
 DTSSoftwareDev &lt;DTSSoftwareDev@dtsweb.com&gt;    

 
 
 
Jerry, Farshid,
 
I've submitted a patch for:
 
30600
 Channels mixed up after copy and trim
 
With this patch a user used copy and trim and then observed that the data viewed in the viewer didn't match between the original dataset and the trimmed dataset.  That dataset can be found in \\dts\files\HelpCenter\Private\Zendesk\11797
 
I had arrange the from the zip so that it would show in the viewer and the export tile.  I didn't record the steps I used to do that, but this is what it looks like;
 
 
I exported and then overlayed the SLED1_X channel from the original and the modified dataset over each other and observed they didn't match well.
 
here's an example of that from Nate:
 
 
I looked at the DTS files for the original dataset and the modified dataset and the SLEDX_1 channel had an absolute display order in both datasets. this means they should both use a file of the pattern TestIdCh001.YYY.chn.
 
I found a matching 001 in both datasets, 2676CH001.086.chn in the original dataset and BinaryCh001.0272.chn in the modified dataset.
 
these files both matched binarily up to the end of the modified file.
 
 
this means the ADC plots should also match, but they did not.
 
I stepped through the code and found that this was because the code used a fall back way of mapping the channel in the DTS file to the physical file as "Binary" was not the test id of my renamed dataset, it was "NewTestId"
 
at this point a possible solution for the issue would be to allow the code matching DTS file entries to file entries to match more than just TestIdChXXX.YYY.chn but just ChXXX.YYY.chn.  This may still be a good idea.
 
The patch however addresses this issue by a different approach, by fixing the CopyAndTrim function to
 
1) put the new directory in the right place and
 
2) use the right file name rather than "binary"
 
a work around involves just renaming the DTS file to match the .chn files, for instance, if you named the .dts file in the modified dataset in unpatched code to "Binary.dts", then the SLEDX_1 channels overlap perfectly.
 
by naming all the files properly with the patched code it just works right in the viewer.
 
 
 
Test
 
1) Export prepatch, verify SLEDX_1 channels don't overlap
 
2) Export patched and verify channels do overlap
 
this unfortunately also needs to be tested against older datasets as well.  Note that the calculated channel goes from being a calculated channel to being a regular analog channel after the copy and trim, but this issue isn't specifically addressing that.
 
 
 
 
 
 
 
 
 
 
 Attachments: 
    DTM_30600_CopyAndTrim.patch 2.7 KB</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-26T22:14:06Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-04-26T21:38:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-26T14:10:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-04-26T14:10:29Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-04-26T14:10:05Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>see attached</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-04-26T14:10:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>